{
  "name": "hello-simple-world",
  "version": "1.0.0",
  "description": "a hello world example for writing a measurement script",
  "main": "src/sensor.js",
  "eslintConfig": {
    "globals": {
      "processor": true,
      "app": true,
      "sensor": true
    }
  },
  "dependencies": {
    "@babel/core": "^7.0.0-beta.40",
    "@babel/node": "^7.0.0-beta.40",
    "@babel/preset-env": "^7.0.0-beta.40",
    "adm-zip": "^0.4.7",
    "archive": "0.0.2",
    "archiver": "^2.1.0",
    "babel-core": "^6.26.0",
    "babel-eslint": "^8.2.2",
    "babel-loader": "^8.0.0-beta.0",
    "babel-polyfill": "^6.26.0",
    "chartist": "^0.11.0",
    "chartist-plugin-fill-donut": "^0.1.4",
    "chartist-plugin-legend": "^0.6.2",
    "chartist-plugin-zoom": "^0.4.1",
    "css-loader": "^0.28.7",
    "eslint": "^4.18.1",
    "eslint-config-airbnb-base": "^12.1.0",
    "eslint-plugin-import": "^2.9.0",
    "fs-cli": "^0.1.1",
    "jquery": "^3.2.1",
    "jshint": "^2.9.5",
    "materialize-css": "^0.100.2",
    "moment": "^2.20.1",
    "npm-run-all": "^4.1.2",
    "oboe": "^2.1.4",
    "opn": "^5.3.0",
    "prettier-eslint": "^8.8.1",
    "prompt": "^1.0.0",
    "request": "^2.85.0",
    "serialport": "^6.0.4",
    "sprintf-js": "^1.1.1",
    "style-loader": "^0.19.0",
    "webpack": "^3.11.0"
  },
  "devDependencies": {
    "babel-preset-es2015": "^6.24.1",
    "clean-webpack-plugin": "^0.1.17",
    "file-loader": "^1.1.5",
    "html-webpack-plugin": "^2.30.1",
    "url-loader": "^0.6.2",
    "webpack-dev-server": "^2.11.2"
  },
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "run-processor-dev": "node webpack/pack-processor-dev-server.js",
    "build-processor-browser": "node webpack/pack-processor.js browser",
    "build-processor": "node webpack/pack-processor.js",
    "build-sensor": "node webpack/pack-sensor.js",
    "build-project": "node webpack/pack-project.js",
    "deploy": "node webpack/deploy.js",
    "sensor": "babel-node --presets=@babel/preset-env src/sensor.js",
    "run-sensor-build-processor": "run-s sensor build-processor-browser",
    "build-and-deploy": "run-s build-project deploy",
    "upload": "babel-node --presets=@babel/preset-env webpack/upload.js",
    "auth": "babel-node --presets=@babel/preset-env webpack/auth.js",
    "compile-upload": "run-s build-sensor build-processor upload"
  },
  "author": "Manuel Di Cerbo",
  "license": "GPL-3.0"
}
